%global packname  GeneR
%global Rversion  2.11.0

Name:             R-%{packname}
Version:          2.20.0
Release:          1%{dist}
Summary:          R for genes and sequences analysis

Group:            Applications/Engineering 
License:          CeCILL
URL:              http://bioconductor.org/packages/release/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
#Patch0:           %%{name}-gcc44.patch
# Has been sent to daubenton [AT] cgm.cnrs-gif [DOT] fr on 2009/04/22 -- by Milos
# Seems to have been incoporated upstream on 2010/07/05 -- pingou

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core >= %{Rversion}
BuildRequires:    R-devel >= %{Rversion} tex(latex)

%description
Package manipulating nucleotidic sequences (Embl, Fasta, GenBank).

%prep
%setup -q -c -n %{packname}
#%%patch0

%build

%install
rm -rf %{buildroot}


#i368 arch
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

## make files UTF-8
iconv -f iso8859-1 -t utf-8 "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING" > "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING.conv"
mv -f "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING.conv" "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING"

%check
# This can not be run under koji because the GeneR-Ex.R file tries to get data from the web which is not allowed by koji:
#** output from the script
# ------ Get some data from the web !! -------
#> seqNcbi("BY608190",file='toto.fa')
#trying URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Warning in download.file(urldemande, destfile = file) :
#  unable to resolve 'www.ncbi.nlm.nih.gov'
#Error in download.file(urldemande, destfile = file) : 
#  cannot open URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Calls: demo ... eval.with.vis -> eval.with.vis -> seqNcbi -> download.file
#Execution halted
#**********************************

#%%{_bindir}/R CMD check %%{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/COPYING
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/libs

%changelog
* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 2.20.0-1
- Update to version 2.20.0

* Mon Jul 05 2010 pingou <pingou@pingoured.fr> 2.18.1-1
- Update to version 2.18.1
- Remove link to BioC
- Remove R post and R postun
- Remove patch from Milos (Thanks to him)

* Tue May 11 2010 pingou <pingou@pingoured.fr> 2.18.0-1
- Update to version 2.18.0
- Fix Requires and BuildRequires
- Fix URL to a more stable version

* Fri Jan 15 2010 pingou <pingou@pingoured.fr> 2.16.0-2
- Fix the url and source0

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 2.16.0-1
- Update to 2.16.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.14.0-1
- Update to Bioconductor 2.4 and R-2.9.0

* Tue Apr 21 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.13.1-2
- Fix FTBFS: added R-GeneR-gcc44.patch.
- Do not override the release macro.
- Use %%global instead of %%define.

* Tue Mar 31 2009 pingou <pingou@pingoured.fr> - 2.13.1-1
- Update to 2.13.1 from the devel version of bioconductor

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008  pingou <pingou@pingoured.fr> 2.12.0-1
- New version 2.12.0 for R >= 2.8.0

* Sun Oct 26 2008  pingou <pingou@pingoured.fr> 2.11.1-3
- Comment the R CMD check which causes a build failed in koji

* Thu Oct 16 2008  pingou <pingou@pingoured.fr> 2.11.1-2
- Correct the source0 and url (were incorrect)
- Add a '.' at the end of the description

* Fri Oct 03 2008  pingou <pingou@pingoured.fr> 2.11.1-1
- initial package for Fedora
